@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenPagesUniUiTabBarTabContent3 : VueComponent {
    constructor(__ins: ComponentInternalInstance) : super(__ins) {}
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenPagesUniUiTabBarTabContent3) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenPagesUniUiTabBarTabContent3
            val _cache = __ins.renderCache
            val activeIndex = inject<Ref<Number>>("uniTabBarCurrentIndex", ref(0))
            return fun(): Any? {
                return _cE("view", _uM("class" to "content-page"), _uA(
                    _cE("text", _uM("class" to "page-title"), "通知"),
                    _cE("text", _uM("class" to "page-text"), "这是通知页的内容"),
                    _cE("text", _uM("class" to "page-text"), "当前索引: " + _tD(unref(activeIndex)), 1)
                ))
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("content-page" to _pS(_uM("flexDirection" to "column", "alignItems" to "center", "justifyContent" to "center", "width" to "100%", "height" to "100%", "paddingTop" to 20, "paddingRight" to 20, "paddingBottom" to 20, "paddingLeft" to 20, "backgroundColor" to "#f5fff5")), "page-title" to _pS(_uM("fontSize" to 28, "fontWeight" to "bold", "color" to "#333333", "marginBottom" to 20)), "page-text" to _pS(_uM("fontSize" to 16, "color" to "#666666", "marginBottom" to 10)))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM())
        var propsNeedCastKeys: UTSArray<String> = _uA()
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
